Bug 1751326 - Multiselect dialog dropdown allows you to select "<None>"
Summary: Multiselect dialog dropdown allows you to select "<None>"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.10.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.11
Assignee: Martin Hradil
QA Contact: Niyaz Akhtar Ansari
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1740823
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-11 17:55 UTC by Satoe Imaishi
Modified: 2019-12-09 11:52 UTC (History)
7 users (show)

Fixed In Version: 5.10.11.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1740823
Environment:
Last Closed: 2019-10-09 13:51:12 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:2967 None None None 2019-10-09 13:51:26 UTC

Comment 2 CFME Bot 2019-09-19 15:21:11 UTC
New commit detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/5f24c235b9bac5d32a913120e01d5d1f0f42ea9e
commit 5f24c235b9bac5d32a913120e01d5d1f0f42ea9e
Author:     Brandon Dunne <bdunne@redhat.com>
AuthorDate: Tue Aug 20 16:49:05 2019 -0400
Commit:     Brandon Dunne <bdunne@redhat.com>
CommitDate: Tue Aug 20 16:49:05 2019 -0400

    Merge pull request #19148 from himdel/multiselect-nil

    DialogFieldDropDown - Don't add_nil_option to values for multiselects

    (cherry picked from commit f4eee89877b02c4979bd082b1427d298904a7712)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1751326

 app/models/dialog_field_drop_down_list.rb | 4 +
 app/models/dialog_field_sorted_item.rb | 6 +-
 spec/models/dialog_field_drop_down_list_spec.rb | 40 +-
 3 files changed, 45 insertions(+), 5 deletions(-)

Comment 3 Niyaz Akhtar Ansari 2019-09-25 07:34:37 UTC
Verified in Version 5.10.11.0.20190923184203_de5e4c8

Comment 5 errata-xmlrpc 2019-10-09 13:51:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2967


Note You need to log in before you can comment on or make changes to this bug.